import os

TASKS = ('label', 'train', 'serve')
DEFAULT_TASK = 'train'
FILE_EXTS = ('bmp', 'png', 'tif', 'tiff')
VOXEL_SIZE = 0.09941698

DEFAULT_OUTPUT_DIR = 'data'
DEFAULT_DATA_ROOT_DIR = os.path.join(DEFAULT_OUTPUT_DIR, 'raw_640x512')


########################################################################################################################
# Image shape
########################################################################################################################
HEIGHT = 512
# WIDTH = 512
WIDTH = 640
IMG_SHAPE = (HEIGHT, WIDTH)
# for H = 512, W = 512
# PIXEL2MM = 0.29694921875
# for H = 512, W = 640
PIXEL2MM = 0.31052639645


########################################################################################################################
# Excitation frequencies and input dimension
########################################################################################################################
# EXC_FREQS = sorted([0.5, 0.4, 0.3, 0.2, 0.15, 0.125, 0.1, 0.09, 0.08, 0.07, 0.06, 0.05, 0.045, 0.04, 0.035, 0.03, 0.0275, 0.025, 0.0225, 0.02, 0.005], reverse=True)
EXC_FREQS = sorted([0.5, 0.4, 0.3, 0.2, 0.15, 0.125, 0.1, 0.09, 0.08, 0.07, 0.06, 0.05, 0.045, 0.04, 0.035, 0.03, 0.028, 0.025, 0.023, 0.02, 0.005], reverse=True)
# NEEDED TO MAP THE IDX OF A RAW PHASE IMAGE TO THE EXCITATION FREQUENCY
IDX_TO_EXC_FREQ = {idx + 1: EXC_FREQS[idx] for idx in range(len(EXC_FREQS))}
INPUT_SHAPE = len(EXC_FREQS)


########################################################################################################################
# Label
########################################################################################################################
# types of phase value representations <=> directory where phase values are stored
DATA_TYPES = ('auto_histogram', 'full_scale', 'phase')
DEFAULT_DATA_TYPE = DATA_TYPES[0]
# the output type of the
OUTPUT_TYPES = ('pickle', 'tfrecord')
DEFAULT_OUTPUT_TYPE = OUTPUT_TYPES[0]


########################################################################################################################
# Train
########################################################################################################################


########################################################################################################################
# Serve
########################################################################################################################


########################################################################################################################
# Aliases
########################################################################################################################
C = INPUT_SHAPE
H = HEIGHT
W = WIDTH

import os
ROOT_DIR = os.path.dirname(os.path.abspath(__file__))
LOGGER_NAME = 'NDD'
